<template>
  <div class="about-page">
    <h1>{{ $t('about.aboutUs') }}</h1>
    <div class="store-info">
      <p><strong>{{ $t('about.location') }}:</strong> вул. Вишнева, 15</p>
      <p><strong>{{ $t('about.phone') }}:</strong> +380954459490</p>
      <p>
        {{$t('about.text')}}
      </p>
    </div>
    <!-- <div class="products-list">
      <h2>Наші товари</h2>
      <div v-for="product in products" :key="product.id" class="product-item">
        <p>{{ product.name }} - {{ product.price }}</p>
      </div>
    </div> -->
  </div>
</template>

<script>
import { mapGetters } from 'vuex';

export default {
  computed: {
    ...mapGetters({
      products: 'getProducts',
    }),
  },
};
</script>

<style>
.about-page {
  padding: 20px;
  background-color: #2c3e50; /* Задній фон */
  color: #fff; 
}

.store-info,
.products-list {
  background-color: #2c3e50; /* Фон блоків з інформацією */
  padding: 15px;
  margin-bottom: 20px;
  border-radius: 5px;
}

.store-info p {
  margin: 5px 0;
}

.products-list {
  border-top: 1px solid #ccc;
  padding-top: 20px;
}

.product-item {
  margin-bottom: 10px;
  padding: 8px;
  background-color: #2c3e50;
  border-radius: 5px;
}
</style>
